ZTP-Netconf
此内容尚不支持你的语言。
Resources Summary
Section titled “Resources Summary”| YANG Path | get/get-config | edit-config | rpc |
|---|---|---|---|
| /restart-ztp | — | — | Y |
| /set-ztp-admin-status | — | — | Y |
| /show-ztp | — | — | Y |
Examples
Section titled “Examples”This chapter provides examples on how to use Netconf to manage ZTP configurations on AsterNOS devices.
Enable ZTP
Section titled “Enable ZTP”Request example to set ztp admin status via rpc set-ztp-admin-status.
<set-ztp-admin-status> <enabled>true</enabled></set-ztp-admin-status>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:90f520b1-0da5-4bb9-85ed-81138ba10bdf"> <ok/></rpc-reply>Disable ZTP
Section titled “Disable ZTP”Request example to set ztp admin status via rpc set-ztp-admin-status.
<set-ztp-admin-status> <enabled>false</enabled></set-ztp-admin-status>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:dfe0e6f4-471e-4dc9-ab82-e0182efebf65"> <ok/></rpc-reply>restart ZTP
Section titled “restart ZTP”Request example to restart ztp process via rpc restart-ztp.
<restart-ztp/>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:b34dc760-089e-454b-b0e3-36f9bb409b54"> <ok/></rpc-reply>Show ZTP Status
Section titled “Show ZTP Status”Request example to show ztp status via rpc show-ztp.
<show-ztp/>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:4be3864b-e602-4bdb-b4ee-469a8bdec322"> <data xmlns="http://asterfusion.com/ns/yang/asternos-ztp"> ZTP Admin Mode : False ZTP Service : Inactive ZTP Status : Not Started
ZTP Service is not running
</data></rpc-reply>Show ZTP Status Details
Section titled “Show ZTP Status Details”Request example to show ztp status details via rpc show-ztp.
<show-ztp> <verbose>true</verbose></show-ztp>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:31b66a2f-a6e3-4ea7-b2d1-e8053986f078"> <data xmlns="http://asterfusion.com/ns/yang/asternos-ztp"> Command: ztp status --verbose ======================================== ZTP ======================================== ZTP Admin Mode : False ZTP Service : Inactive ZTP Status : Not Started
ZTP Service is not running
</data></rpc-reply>Properties Descriptions
Section titled “Properties Descriptions”Restart Ztp
Section titled “Restart Ztp”Tree Diagram
module: asternos-ztp
rpcs: +---x restart-ztpTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| restart-ztp | O |
Set Ztp Admin Status
Section titled “Set Ztp Admin Status”Tree Diagram
module: asternos-ztp
rpcs: +---x set-ztp-admin-status +---w input +---w enabled? booleanTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| set-ztp-admin-status | O | ||
| enabled | O | ”true" "false” | ZTP admin status, true means ZTP is Administratively enabled, false means ZTP is dAdministratively disabled Default value: False |
Show Ztp
Section titled “Show Ztp”Tree Diagram
module: asternos-ztp
rpcs: +---x show-ztp +---w input | +---w verbose? boolean +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-ztp | O | ||
| verbose | O | ”true" "false” | Show more details about ZTP status Default value: False |
| data | O | Show ZTP status |